Announcement

Collapse
No announcement yet.

Can't get plugin to instal on Raspberry Pi anymore

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • Can't get plugin to instal on Raspberry Pi anymore

    I made some changes to a library I'm using and now I can't for the life of me get HS to even recognize my plugin anymore. All I get is this:

    Code:
    Warning, Cannot load EXE file (possibly missing dependencies) HSPI_MeiHarmonyHub.exe: Exception of type 'System.Reflection.ReflectionTypeLoadException' was thrown.
    Warning, Error details with EXE HSPI_MeiHarmonyHub.exe: Could not resolve type with token 0100005d (from typeref, class/assembly MBPlugins.BasePage, MBPlugins, Version=1.0.2.1, Culture=neutral, PublicKeyToken=null) assembly:MBPlugins, Version=1.0.2.1, Culture=neutral, PublicKeyToken=null type:MBPlugins.BasePage member:
    There are a lot of that second line. The thing is, the plugin will run just fine, it's just HS3's inspection fails with the above messages. Has anyone run into this before?
    MeiAutomtion Home

  • #2
    Ok, after I restarted the Pi, it's now working....ARgh! LOL
    MeiAutomtion Home

    Comment


    • #3
      Did you bump the version number of the library? If not this is a common side effect when the library is shared. Plugin 1 still has it loaded, so Plugin 2 doesn't get the newer version in memory when started...

      Comment

      Working...
      X